Subject: Re: bug#30384: additional inputs required for Blender plugins

From: Quiliro Ordonez Baca <[email-masked]>
Date: Sat, 17 Feb 2018 17:13:21 -0500

[email-masked] (Ludovic Courtès) writes:

> Hello Quiliro,
>
> Quiliro Ordonez Baca <[email-masked]> skribis:
>
>> When i tryed to install the Sverchok addon
>> https://wiki.blender.org/index.php/Extensions:2.6/Py/Scripts/Nodes/Sverchok
>> http://nikitron.cc.ua/sverch/html/main.html
>> I got the message:
>> ImportError: No module named ‘numpy’
>> so i installed python-numpy.
>> And then i got error:
>> ImportError: No module named ‘requests’
>> I then instaled python-requests. Both these dependencies are mentioned in Sverchok's documentation.
>
> Since installing these two packages solves the problem,

Oh! That is right. It is not a problem of Blender. It is a problem of
dependencies of Sverchok. What is needed is a package definition for
Sverchok. Am I right?

> can we consider
> this bug closed?

Yes. Thank you. :-)

> My understanding of your message is that our ‘blender’ package already
> does the right thing.

Yes.